Package org.eclipse.cdt.utils.debug

# Class DebugCrossRefType

java.lang.Object
org.eclipse.cdt.utils.debug.DebugType
org.eclipse.cdt.utils.debug.DebugDerivedType
org.eclipse.cdt.utils.debug.DebugCrossRefType

public class DebugCrossRefType extends DebugDerivedType
DebugCrossRefType

## Constructor Summary

Constructors
Constructor
Description
`DebugCrossRefType(DebugType type, String name, String xName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCrossRefName()`
`String`
`getName()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugDerivedType

`getComponentType, setComponentType`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DebugCrossRefType

public DebugCrossRefType(DebugType type, String name, String xName)

## Method Details

### getName

public String getName()

### getCrossRefName

public String getCrossRefName()